unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, NxCollection6, NxHTML6, Vcl.StdCtrls;

type
  TForm3 = class(TForm)
    NxHTMLLabel61: TNxHTMLLabel6;
    NxStylesSheet61: TNxStylesSheet6;
    Memo1: TMemo;
    CheckBox1: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Memo1Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure NxHTMLLabel61LinkClick(Sender: TObject; Href: WideString);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.CheckBox1Click(Sender: TObject);
begin
  NxHTMLLabel61.AutoSize := CheckBox1.Checked;
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
  Memo1.Text := NxHTMLLabel61.Caption;
end;

procedure TForm3.Memo1Change(Sender: TObject);
begin
  NxHTMLLabel61.Caption := Memo1.Text;
end;

procedure TForm3.NxHTMLLabel61LinkClick(Sender: TObject; Href: WideString);
begin
  ShowMessage('Click: ' + Href);
end;

end.
